/// <reference types="react" />
import { FixedSizeList as List } from 'react-window';
export declare const StyledThumbnailListContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledThumbnailList: import("styled-components").StyledComponent<typeof List, any, {}, never>;
export declare const StyledThumbnail: import("styled-components").StyledComponent<(<Role extends import("../../Thumbnail/Thumbnail.types").ThumbnailRoles>(props: import("../..").ThumbnailProps<Role> | (import("../../Thumbnail/Thumbnail.types").BaseThumbnailProps & {
    ref?: import("../../Thumbnail/Thumbnail.types").ThumbnailRef<Role> | undefined;
})) => import("react").JSX.Element) & {
    Placeholder: <Role_1 extends import("../../Thumbnail/Thumbnail.types").ThumbnailRoles>(props: import("../../Thumbnail/Thumbnail.types").PlaceholderProps<Role_1> | (import("../../Thumbnail/Thumbnail.types").BasePlaceholderProps & {
        ref?: import("../../Thumbnail/Thumbnail.types").ThumbnailRef<Role_1> | undefined;
    })) => import("react").JSX.Element;
}, any, {}, never>;
export declare const StyledProgress: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledThumbnailListItem: import("styled-components").StyledComponent<"div", any, {
    focused: boolean;
    error: boolean;
}, never>;
export declare const StyledDeleteIcon: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../..").ButtonProps & import("react").RefAttributes<HTMLButtonElement>>, any, {}, never>;
